﻿DROP USER JEFY_ADMIN CASCADE;

CREATE USER JEFY_ADMIN IDENTIFIED BY BILLYBOY
DEFAULT TABLESPACE GFC
TEMPORARY TABLESPACE TEMP
QUOTA UNLIMITED ON GFC;

GRANT CREATE SESSION TO JEFY_ADMIN;
GRANT CREATE SYNONYM TO JEFY_ADMIN;
GRANT CREATE VIEW TO JEFY_ADMIN;
GRANT CREATE PROCEDURE TO JEFY_ADMIN;
--GRANT EXECUTE ANY PROCEDURE TO COMPTEFI;
--GRANT SELECT ANY TABLE TO COMPTEFI;
--GRANT SELECT ANY SEQUENCE TO COMPTEFI;
--GRANT ALTER ANY TABLE TO COMPTEFI;
GRANT UNLIMITED TABLESPACE TO JEFY_ADMIN;
GRANT CONNECT TO JEFY_ADMIN; 

GRANT REFERENCES ON MARACUJA.GESTION TO JEFY_ADMIN;
GRANT REFERENCES ON MARACUJA.PLAN_COMPTABLE TO JEFY_ADMIN;
GRANT REFERENCES ON GRHUM.INDIVIDU_ULR TO JEFY_ADMIN;
GRANT REFERENCES ON GRHUM.STRUCTURE_ULR TO JEFY_ADMIN;


-------------------------------------------------------------------------------------
CREATE TABLE JEFY_ADMIN.TYPE_ETAT (
	TYET_ID NUMBER NOT NULL,
	TYET_LIBELLE VARCHAR2(50) NOT NULL
);
ALTER TABLE JEFY_ADMIN.TYPE_ETAT  ADD CONSTRAINT PK_TYPE_ETAT PRIMARY KEY (TYET_ID) USING INDEX  TABLESPACE GFC_INDX;
ALTER TABLE JEFY_ADMIN.TYPE_ETAT ADD CONSTRAINT UNQ_type_etat UNIQUE (TYET_LIBELLE) USING INDEX  TABLESPACE GFC_INDX;

-------------------------------------------------------------------------------------
CREATE TABLE JEFY_ADMIN.CODE_ANALYTIQUE
(
  CAN_ID NUMBER(12,0) NOT NULL,
  CAN_CODE VARCHAR2(50) NOT NULL,
  CAN_LIBELLE VARCHAR2(500) NOT NULL,
  CAN_PUBLIC VARCHAR2(1) NOT NULL,
  CAN_UTILISABLE VARCHAR2(1) NOT NULL,
  TYET_ID NUMBER NOT NULL
);

ALTER TABLE JEFY_ADMIN.CODE_ANALYTIQUE
  ADD CONSTRAINT PK_CODE_ANALYTIQUE PRIMARY KEY (CAN_ID) USING INDEX  TABLESPACE GFC_INDX;
ALTER TABLE JEFY_ADMIN.CODE_ANALYTIQUE
 ADD CONSTRAINT FK_COAN_TYET_ID
 FOREIGN KEY (TYET_ID)
 REFERENCES JEFY_ADMIN.TYPE_ETAT (TYET_ID) DEFERRABLE INITIALLY DEFERRED ENABLE;


----------------------------------------------------------------------------------------
CREATE TABLE JEFY_ADMIN.DEVISE (
	DEV_ID NUMBER(38,0) NOT NULL,
	DEV_CODE VARCHAR2(3) NOT NULL,
	DEV_LIBELLE VARCHAR2(500) NOT NULL
);
ALTER TABLE JEFY_ADMIN.DEVISE
  ADD CONSTRAINT PK_DEVISE PRIMARY KEY (DEV_ID) USING INDEX  TABLESPACE GFC_INDX;


--------------------------------------------------------------------------------------
CREATE TABLE JEFY_ADMIN.EXERCICE
(
  EXE_CLOTURE     DATE,
  EXE_EXERCICE    NUMBER(4,0)                        NOT NULL,
  EXE_INVENTAIRE  DATE,
  EXE_ORDRE       NUMBER                        NOT NULL,
  EXE_OUVERTURE   DATE,
  EXE_STAT        VARCHAR2(1)                   NOT NULL,
  EXE_TYPE        VARCHAR2(1)                   NOT NULL
);


ALTER TABLE JEFY_ADMIN.EXERCICE
  ADD CONSTRAINT PK_EXERCICE PRIMARY KEY (EXE_ORDRE) USING INDEX  TABLESPACE GFC_INDX;

--------------------------------------------------------------------------------------

CREATE TABLE JEFY_ADMIN.DOMAINE (
	DOM_ID NUMBER NOT NULL,
	DOM_LIBELLE VARCHAR2(50) NOT NULL
);

ALTER TABLE JEFY_ADMIN.DOMAINE
  ADD CONSTRAINT PK_DOMAINE PRIMARY KEY (DOM_ID) USING INDEX  TABLESPACE GFC_INDX;

--------------------------------------------------------------------------------------
CREATE TABLE JEFY_ADMIN.TYPE_APPLICATION (
	TYAP_ID NUMBER(12,0) NOT NULL, 
	DOM_ID NUMBER NOT NULL, 	
	TYAP_LIBELLE VARCHAR2(50) NOT NULL
);

ALTER TABLE JEFY_ADMIN.TYPE_APPLICATION ADD PRIMARY KEY (TYAP_ID) USING INDEX  TABLESPACE GFC_INDX;
ALTER TABLE JEFY_ADMIN.TYPE_APPLICATION ADD CONSTRAINT FK_TYAP_DOM_ID FOREIGN KEY (DOM_ID) REFERENCES JEFY_ADMIN.DOMAINE (DOM_ID) DEFERRABLE INITIALLY DEFERRED;  
--------------------------------------------------------------------------------------

CREATE TABLE JEFY_ADMIN.FONCTION (
    FON_ORDRE NUMBER(12,0) NOT NULL,
    FON_ID_INTERNE VARCHAR2(8) NOT NULL, 
	FON_CATEGORIE VARCHAR2(50) NOT NULL, 
	FON_DESCRIPTION VARCHAR2(500) , 	
	FON_LIBELLE VARCHAR2(50) NOT NULL, 	
	FON_SPEC_GESTION VARCHAR2(1) NOT NULL, 
	FON_SPEC_ORGAN VARCHAR2(1) NOT NULL, 
	FON_SPEC_EXERCICE VARCHAR2(1) NOT NULL, 
	TYAP_ID NUMBER NOT NULL
);

ALTER TABLE JEFY_ADMIN.FONCTION ADD CONSTRAINT PK_FONCTION PRIMARY KEY (FON_ORDRE) USING INDEX  TABLESPACE GFC_INDX;
ALTER TABLE JEFY_ADMIN.FONCTION ADD CONSTRAINT FK_FONCTION_TYAP_ID FOREIGN KEY (TYAP_ID) REFERENCES JEFY_ADMIN.TYPE_APPLICATION (TYAP_ID) DEFERRABLE INITIALLY DEFERRED;  
ALTER TABLE JEFY_ADMIN.FONCTION ADD CONSTRAINT UNQ_FONCTION_ID UNIQUE (FON_ID_INTERNE) USING INDEX  TABLESPACE GFC_INDX;
  
--------------------------------------------------------------------------------------

CREATE TABLE JEFY_ADMIN.TYPE_CREDIT
(
  EXE_ORDRE      NUMBER                         NOT NULL,
  TCD_ORDRE      NUMBER                         NOT NULL,
  TCD_CODE       VARCHAR2(2)                    NOT NULL,
  TCD_LIBELLE    VARCHAR2(40)                   NOT NULL,
  TCD_ABREGE     VARCHAR2(12)                   NOT NULL,
  TCD_SECT       CHAR(1)                        NOT NULL,
  TCD_PRESIDENT  NUMBER(12,2)
);

COMMENT ON COLUMN JEFY_ADMIN.TYPE_CREDIT.EXE_ORDRE IS 'EXERCICE';
COMMENT ON COLUMN JEFY_ADMIN.TYPE_CREDIT.TCD_ORDRE IS 'IDENTIFIANT DU TYPE DE CREDIT';
COMMENT ON COLUMN JEFY_ADMIN.TYPE_CREDIT.TCD_CODE IS 'CODE DU TYPE DE CREDIT (UNIQUE POUR UN EXERCICE)';
COMMENT ON COLUMN JEFY_ADMIN.TYPE_CREDIT.TCD_LIBELLE IS 'LIBELLE DU TYPE DE CREDIT';
COMMENT ON COLUMN JEFY_ADMIN.TYPE_CREDIT.TCD_ABREGE IS 'LIBELLE COURT';
COMMENT ON COLUMN JEFY_ADMIN.TYPE_CREDIT.TCD_SECT IS 'SECTION DU TYPE DE CREDIT 1ER OU SECTION 2EM SECTION';
COMMENT ON COLUMN JEFY_ADMIN.TYPE_CREDIT.TCD_PRESIDENT IS 'A PARTIR DE CE MONTANT LES ENGAGMENTS SERONT SIGNES PAR LE PRESIDENT,DIRECTEUR IUT ...';


ALTER TABLE JEFY_ADMIN.TYPE_CREDIT ADD PRIMARY KEY (TCD_ORDRE) USING INDEX  TABLESPACE GFC_INDX;
ALTER TABLE JEFY_ADMIN.TYPE_CREDIT ADD CONSTRAINT UNQ_TYPE_CRED UNIQUE (TCD_CODE, EXE_ORDRE) USING INDEX  TABLESPACE GFC_INDX;

--------------------------------------------------------------------------------------

CREATE TABLE JEFY_ADMIN.TYPE_ORGAN (
	TYOR_ID NUMBER NOT NULL, 
	TYOR_LIBELLE VARCHAR2(50) NOT NULL
);

ALTER TABLE JEFY_ADMIN.TYPE_ORGAN ADD PRIMARY KEY (TYOR_ID) USING INDEX  TABLESPACE GFC_INDX;

--------------------------------------------------------------------------------------
CREATE TABLE JEFY_ADMIN.TYPE_SIGNATURE (
	TYSI_ID NUMBER NOT NULL, 
	TYSI_LIBELLE VARCHAR2(50) NOT NULL
);

ALTER TABLE JEFY_ADMIN.TYPE_SIGNATURE ADD PRIMARY KEY (TYSI_ID) USING INDEX  TABLESPACE GFC_INDX;

--------------------------------------------------------------------------------------
CREATE TABLE JEFY_ADMIN.TVA (
	TVA_ID NUMBER NOT NULL, 
	TVA_TAUX NUMBER(12,2) NOT NULL, 
	TYET_ID NUMBER NOT NULL
);

ALTER TABLE JEFY_ADMIN.TVA ADD PRIMARY KEY (TVA_ID) USING INDEX  TABLESPACE GFC_INDX;
ALTER TABLE JEFY_ADMIN.TVA ADD CONSTRAINT FK_TVA_TYET_ID FOREIGN KEY (TYET_ID) REFERENCES JEFY_ADMIN.TYPE_ETAT (TYET_ID) DEFERRABLE INITIALLY DEFERRED;
--------------------------------------------------------------------------------------
CREATE TABLE JEFY_ADMIN.TAUX_PRORATA (
	TAP_ID NUMBER NOT NULL, 
	TAP_TAUX NUMBER(12,2) NOT NULL, 
	TYET_ID NUMBER NOT NULL
);

ALTER TABLE JEFY_ADMIN.TAUX_PRORATA ADD PRIMARY KEY (TAP_ID) USING INDEX  TABLESPACE GFC_INDX;

ALTER TABLE JEFY_ADMIN.TAUX_PRORATA ADD CONSTRAINT FK_TAUX_PRORATA_TYET_ID FOREIGN KEY (TYET_ID) REFERENCES JEFY_ADMIN.TYPE_ETAT (TYET_ID) DEFERRABLE INITIALLY DEFERRED;
--------------------------------------------------------------------------------------
CREATE TABLE JEFY_ADMIN.MODE_PAIEMENT (
  MOD_ORDRE NUMBER NOT NULL,
  EXE_ORDRE NUMBER NOT NULL, 
	MOD_CODE VARCHAR2(3) NOT NULL, 
	MOD_DOM VARCHAR2(50) NOT NULL, 
	MOD_LIBELLE VARCHAR2(50) NOT NULL,
	MOD_EMA_AUTO VARCHAR2(1) NOT NULL, 	
	MOD_VALIDITE VARCHAR2(50) NOT NULL, 
	PCO_NUM_PAIEMENT VARCHAR2(20) , 
	PCO_NUM_VISA VARCHAR2(20)
);

ALTER TABLE JEFY_ADMIN.MODE_PAIEMENT ADD PRIMARY KEY (MOD_ORDRE) USING INDEX  TABLESPACE GFC_INDX;
ALTER TABLE JEFY_ADMIN.MODE_PAIEMENT ADD CONSTRAINT UNQ_MP UNIQUE (MOD_CODE, EXE_ORDRE) USING INDEX  TABLESPACE GFC_INDX;
ALTER TABLE JEFY_ADMIN.MODE_PAIEMENT ADD CONSTRAINT FK_MP_EXE_ORDRE FOREIGN KEY (EXE_ORDRE) REFERENCES JEFY_ADMIN.EXERCICE (EXE_ORDRE) DEFERRABLE INITIALLY DEFERRED;
ALTER TABLE JEFY_ADMIN.MODE_PAIEMENT ADD CONSTRAINT FK_MP_PCO_NUM_PAIEMENT FOREIGN KEY (PCO_NUM_PAIEMENT) REFERENCES MARACUJA.PLAN_COMPTABLE (PCO_NUM) DEFERRABLE INITIALLY DEFERRED;
ALTER TABLE JEFY_ADMIN.MODE_PAIEMENT ADD CONSTRAINT FK_MP_PCO_NUM_VISA FOREIGN KEY (PCO_NUM_VISA) REFERENCES MARACUJA.PLAN_COMPTABLE (PCO_NUM) DEFERRABLE INITIALLY DEFERRED;

--------------------------------------------------------------------------------------
CREATE TABLE JEFY_ADMIN.MODE_RECOUVREMENT (
    MOD_ORDRE NUMBER NOT NULL, 
    EXE_ORDRE NUMBER NOT NULL, 
    MOD_CODE VARCHAR2(3) NOT NULL, 
    MOD_LIBELLE VARCHAR2(50) NOT NULL,     
    MOD_VALIDITE VARCHAR2(50) NOT NULL, 
    PCO_NUM_PAIEMENT VARCHAR2(20) , 
    PCO_NUM_VISA VARCHAR2(20) 
);

ALTER TABLE JEFY_ADMIN.MODE_RECOUVREMENT ADD PRIMARY KEY (MOD_ORDRE) USING INDEX  TABLESPACE GFC_INDX;
ALTER TABLE JEFY_ADMIN.MODE_RECOUVREMENT ADD CONSTRAINT UNQ_MR UNIQUE (MOD_CODE, EXE_ORDRE) USING INDEX  TABLESPACE GFC_INDX;
ALTER TABLE JEFY_ADMIN.MODE_RECOUVREMENT ADD CONSTRAINT FK_MR_EXE_ORDRE FOREIGN KEY (EXE_ORDRE) REFERENCES JEFY_ADMIN.EXERCICE (EXE_ORDRE) DEFERRABLE INITIALLY DEFERRED;
ALTER TABLE JEFY_ADMIN.MODE_RECOUVREMENT ADD CONSTRAINT FK_MR_PCO_NUM_PAIEMENT FOREIGN KEY (PCO_NUM_PAIEMENT) REFERENCES MARACUJA.PLAN_COMPTABLE (PCO_NUM) DEFERRABLE INITIALLY DEFERRED;
ALTER TABLE JEFY_ADMIN.MODE_RECOUVREMENT ADD CONSTRAINT FK_MR_PCO_NUM_VISA FOREIGN KEY (PCO_NUM_VISA) REFERENCES MARACUJA.PLAN_COMPTABLE (PCO_NUM) DEFERRABLE INITIALLY DEFERRED;


--------------------------------------------------------------------------------------

CREATE TABLE JEFY_ADMIN.ORGAN (
    ORG_ID NUMBER NOT NULL, 
    ORG_NIV NUMBER NOT NULL, 
    ORG_PERE NUMBER, 
    ORG_UNIV VARCHAR2(10) NOT NULL, 
    ORG_ETAB VARCHAR2(10), 
    ORG_UB VARCHAR2(10),     
    ORG_CR VARCHAR2(10), 
    ORG_LIB VARCHAR2(500) NOT NULL,    
    ORG_LUCRATIVITE NUMBER NOT NULL, 
    TAP_ID NUMBER NOT NULL, 
    ORG_DATE_OUVERTURE DATE NOT NULL,     
    ORG_DATE_CLOTURE DATE,     
    C_STRUCTURE VARCHAR2(10), 
    LOG_ORDRE NUMBER, 
    TYOR_ID NUMBER NOT NULL
);

ALTER TABLE JEFY_ADMIN.ORGAN ADD PRIMARY KEY (ORG_ID) USING INDEX  TABLESPACE GFC_INDX;
ALTER TABLE JEFY_ADMIN.ORGAN ADD CONSTRAINT FK_ORGAN_TYOR_ID FOREIGN KEY (TYOR_ID) REFERENCES JEFY_ADMIN.TYPE_ORGAN (TYOR_ID) DEFERRABLE INITIALLY DEFERRED;
ALTER TABLE JEFY_ADMIN.ORGAN ADD CONSTRAINT FK_ORGAN_TAP_ID FOREIGN KEY (TAP_ID) REFERENCES JEFY_ADMIN.TAUX_PRORATA (TAP_ID) DEFERRABLE INITIALLY DEFERRED;
ALTER TABLE JEFY_ADMIN.ORGAN ADD CONSTRAINT FK_ORGAN_C_STRUCTURE FOREIGN KEY (C_STRUCTURE) REFERENCES GRHUM.STRUCTURE_ULR (C_STRUCTURE) DEFERRABLE INITIALLY DEFERRED;
ALTER TABLE JEFY_ADMIN.ORGAN ADD CONSTRAINT ORGAN_ORGANPERE_FK FOREIGN KEY (ORG_PERE) REFERENCES JEFY_ADMIN.ORGAN (ORG_ID) DEFERRABLE INITIALLY DEFERRED;


--------------------------------------------------------------------------------------
CREATE TABLE JEFY_ADMIN.ORGAN_SIGNATAIRE (
    ORSI_ID NUMBER NOT NULL,                               
    ORG_ID NUMBER NOT NULL,
    NO_INDIVIDU NUMBER NOT NULL,     
    ORSI_DATE_OUVERTURE DATE, 
    ORSI_DATE_CLOTURE DATE,    
    ORSI_LIBELLE_SIGNATAIRE VARCHAR2(50) NOT NULL, 
    TYSI_ID NUMBER NOT NULL
);

ALTER TABLE JEFY_ADMIN.ORGAN_SIGNATAIRE ADD PRIMARY KEY (ORSI_ID)  USING INDEX  TABLESPACE GFC_INDX;
ALTER TABLE JEFY_ADMIN.ORGAN_SIGNATAIRE ADD CONSTRAINT FK_OS_TYSI_ID FOREIGN KEY (TYSI_ID) REFERENCES JEFY_ADMIN.TYPE_SIGNATURE (TYSI_ID) DEFERRABLE INITIALLY DEFERRED;
ALTER TABLE JEFY_ADMIN.ORGAN_SIGNATAIRE ADD CONSTRAINT FK_OS_ORG_ID FOREIGN KEY (ORG_ID) REFERENCES JEFY_ADMIN.ORGAN (ORG_ID) DEFERRABLE INITIALLY DEFERRED;
ALTER TABLE JEFY_ADMIN.ORGAN_SIGNATAIRE ADD CONSTRAINT FK_OS_NO_INDIVIDU FOREIGN KEY (NO_INDIVIDU) REFERENCES GRHUM.INDIVIDU_ULR (NO_INDIVIDU) DEFERRABLE INITIALLY DEFERRED;

--------------------------------------------------------------------------------------

CREATE TABLE JEFY_ADMIN.UTILISATEUR (
    UTL_ORDRE NUMBER NOT NULL,                          
    NO_INDIVIDU NUMBER NOT NULL, 
    PERS_ID NUMBER NOT NULL,     
    UTL_OUVERTURE DATE NOT NULL,
    UTL_FERMETURE DATE ,     
    TYET_ID NUMBER NOT NULL 
);


ALTER TABLE JEFY_ADMIN.UTILISATEUR ADD PRIMARY KEY (UTL_ORDRE)  USING INDEX  TABLESPACE GFC_INDX;
ALTER TABLE JEFY_ADMIN.UTILISATEUR ADD CONSTRAINT UTILISATEUR_TYET_ID_FK FOREIGN KEY (TYET_ID) REFERENCES JEFY_ADMIN.TYPE_ETAT (TYET_ID) DEFERRABLE INITIALLY DEFERRED;
ALTER TABLE JEFY_ADMIN.UTILISATEUR ADD CONSTRAINT UTILISATEUR_NO_INDIVIDU_FK FOREIGN KEY (NO_INDIVIDU) REFERENCES GRHUM.INDIVIDU_ULR (NO_INDIVIDU) DEFERRABLE INITIALLY DEFERRED;

--------------------------------------------------------------------------------------
CREATE TABLE JEFY_ADMIN.UTILISATEUR_FONCT (
    UF_ORDRE NUMBER NOT NULL, 
    UTL_ORDRE NUMBER NOT NULL,
    FON_ORDRE NUMBER NOT NULL 
);
ALTER TABLE JEFY_ADMIN.UTILISATEUR_FONCT ADD PRIMARY KEY (UF_ORDRE) USING INDEX  TABLESPACE GFC_INDX;
ALTER TABLE JEFY_ADMIN.UTILISATEUR_FONCT ADD CONSTRAINT FK_UF_UTL_ORDRE FOREIGN KEY (UTL_ORDRE) REFERENCES JEFY_ADMIN.UTILISATEUR (UTL_ORDRE) DEFERRABLE INITIALLY DEFERRED;
ALTER TABLE JEFY_ADMIN.UTILISATEUR_FONCT ADD CONSTRAINT FK_UF_FON_ORDRE FOREIGN KEY (FON_ORDRE) REFERENCES JEFY_ADMIN.FONCTION (FON_ORDRE) DEFERRABLE INITIALLY DEFERRED;

--------------------------------------------------------------------------------------
CREATE TABLE JEFY_ADMIN.UTILISATEUR_FONCT_EXERCICE (
    UFE_ID NUMBER NOT NULL,
    UF_ORDRE NUMBER NOT NULL, 
    EXE_ORDRE NUMBER NOT NULL
);
ALTER TABLE JEFY_ADMIN.UTILISATEUR_FONCT_EXERCICE ADD PRIMARY KEY (UFE_ID) USING INDEX  TABLESPACE GFC_INDX;
ALTER TABLE JEFY_ADMIN.UTILISATEUR_FONCT_EXERCICE ADD CONSTRAINT FK_UFE_UF_ORDRE FOREIGN KEY (UF_ORDRE) REFERENCES JEFY_ADMIN.UTILISATEUR_FONCT (UF_ORDRE) DEFERRABLE INITIALLY DEFERRED;
ALTER TABLE JEFY_ADMIN.UTILISATEUR_FONCT_EXERCICE ADD CONSTRAINT FK_UFE_EXE_ORDRE FOREIGN KEY (EXE_ORDRE) REFERENCES JEFY_ADMIN.EXERCICE (EXE_ORDRE) DEFERRABLE INITIALLY DEFERRED;


--------------------------------------------------------------------------------------
CREATE TABLE JEFY_ADMIN.UTILISATEUR_FONCT_GESTION (
    UFG_ID NUMBER NOT NULL,
    UF_ORDRE NUMBER NOT NULL,
    GES_CODE VARCHAR2(10) NOT NULL
);


ALTER TABLE JEFY_ADMIN.UTILISATEUR_FONCT_GESTION ADD PRIMARY KEY (UFG_ID) USING INDEX  TABLESPACE GFC_INDX;
ALTER TABLE JEFY_ADMIN.UTILISATEUR_FONCT_GESTION ADD CONSTRAINT FK_UFG_UF_ORDRE FOREIGN KEY (UF_ORDRE) REFERENCES JEFY_ADMIN.UTILISATEUR_FONCT (UF_ORDRE) DEFERRABLE INITIALLY DEFERRED;
ALTER TABLE JEFY_ADMIN.UTILISATEUR_FONCT_GESTION ADD CONSTRAINT FK_UFG_GES_CODE FOREIGN KEY (GES_CODE) REFERENCES MARACUJA.GESTION (GES_CODE) DEFERRABLE INITIALLY DEFERRED;

--------------------------------------------------------------------------------------
CREATE TABLE JEFY_ADMIN.UTILISATEUR_FONCT_ORGAN (
    UFO_ID NUMBER NOT NULL,
    UF_ORDRE NUMBER NOT NULL,
    ORG_ID NUMBER NOT NULL
);

ALTER TABLE JEFY_ADMIN.UTILISATEUR_FONCT_ORGAN ADD PRIMARY KEY (UFO_ID) USING INDEX  TABLESPACE GFC_INDX;
ALTER TABLE JEFY_ADMIN.UTILISATEUR_FONCT_ORGAN ADD CONSTRAINT FK_UFO_UF_ORDRE FOREIGN KEY (UF_ORDRE) REFERENCES JEFY_ADMIN.UTILISATEUR_FONCT (UF_ORDRE) DEFERRABLE INITIALLY DEFERRED;
ALTER TABLE JEFY_ADMIN.UTILISATEUR_FONCT_ORGAN ADD CONSTRAINT FK_UFO_ORG_ID FOREIGN KEY (ORG_ID) REFERENCES JEFY_ADMIN.ORGAN (ORG_ID) DEFERRABLE INITIALLY DEFERRED;
--------------------------------------------------------------------------------------

CREATE TABLE JEFY_ADMIN.CODE_ANALYTIQUE_ORGAN (
    CAO_ID NUMBER NOT NULL,                                               
    CAN_ID NUMBER NOT NULL,     
    ORG_ID NUMBER NOT NULL
);

ALTER TABLE JEFY_ADMIN.CODE_ANALYTIQUE_ORGAN ADD PRIMARY KEY (CAO_ID) USING INDEX  TABLESPACE GFC_INDX;
ALTER TABLE JEFY_ADMIN.CODE_ANALYTIQUE_ORGAN ADD CONSTRAINT FK_CAO_ORG_ID FOREIGN KEY (ORG_ID) REFERENCES JEFY_ADMIN.ORGAN (ORG_ID) DEFERRABLE INITIALLY DEFERRED;
ALTER TABLE JEFY_ADMIN.CODE_ANALYTIQUE_ORGAN ADD CONSTRAINT FK_CAO_CAN_ID FOREIGN KEY (CAN_ID) REFERENCES JEFY_ADMIN.CODE_ANALYTIQUE (CAN_ID) DEFERRABLE INITIALLY DEFERRED;

--------------------------------------------------------------------------------------


CREATE TABLE JEFY_ADMIN.PREFERENCE (
    PREF_ID NUMBER NOT NULL,                         
    PREF_KEY VARCHAR2(50) NOT NULL,    
    PREF_DEFAULT_VALUE VARCHAR2(500),
    PREF_DESCRIPTION VARCHAR2(500),
    PREF_PERSONNALISABLE NUMBER,
    TYAP_ID NUMBER NOT NULL
);

ALTER TABLE JEFY_ADMIN.PREFERENCE ADD PRIMARY KEY (PREF_ID) USING INDEX  TABLESPACE GFC_INDX;
ALTER TABLE JEFY_ADMIN.PREFERENCE ADD CONSTRAINT FK_PREFERENCE_TYAP_ID FOREIGN KEY (TYAP_ID) REFERENCES JEFY_ADMIN.TYPE_APPLICATION (TYAP_ID) DEFERRABLE INITIALLY DEFERRED;
ALTER TABLE JEFY_ADMIN.PREFERENCE ADD CONSTRAINT FK_PREF_PERSONNALISABLE_ FOREIGN KEY (PREF_PERSONNALISABLE) REFERENCES JEFY_ADMIN.TYPE_ETAT (TYET_ID) DEFERRABLE INITIALLY DEFERRED;
ALTER TABLE JEFY_ADMIN.PREFERENCE ADD CONSTRAINT UNQ_PREF UNIQUE (TYAP_ID, PREF_KEY) USING INDEX  TABLESPACE GFC_INDX;

--------------------------------------------------------------------------------------

CREATE TABLE JEFY_ADMIN.UTILISATEUR_PREFERENCE (
    UP_ID NUMBER NOT NULL,                                     
    UTL_ORDRE NUMBER NOT NULL,
    PREF_ID NUMBER NOT NULL, 
    UP_VALUE VARCHAR2(500)     
);

ALTER TABLE JEFY_ADMIN.UTILISATEUR_PREFERENCE ADD PRIMARY KEY (UP_ID) USING INDEX  TABLESPACE GFC_INDX;
ALTER TABLE JEFY_ADMIN.UTILISATEUR_PREFERENCE ADD CONSTRAINT FK_UP_UTL_ORDRE FOREIGN KEY (UTL_ORDRE) REFERENCES JEFY_ADMIN.UTILISATEUR (UTL_ORDRE) DEFERRABLE INITIALLY DEFERRED;
ALTER TABLE JEFY_ADMIN.UTILISATEUR_PREFERENCE ADD CONSTRAINT FK_UP_PREF_ID FOREIGN KEY (PREF_ID) REFERENCES JEFY_ADMIN.PREFERENCE (PREF_ID) DEFERRABLE INITIALLY DEFERRED;

--------------------------------------------------------------------------------------

CREATE TABLE JEFY_ADMIN.TYPE_BORDEREAU (
  TBO_ORDRE      NUMBER                         NOT NULL,
  TBO_SOUS_TYPE  VARCHAR2(30)                   NOT NULL,
  TBO_TYPE       VARCHAR2(30)                   NOT NULL,
  TBO_LIBELLE    VARCHAR2(60)                   NOT NULL  
);

COMMENT ON COLUMN JEFY_ADMIN.TYPE_BORDEREAU.TBO_LIBELLE IS 'Libelle du type de bordereau';
COMMENT ON COLUMN JEFY_ADMIN.TYPE_BORDEREAU.TBO_ORDRE IS 'Identifiant du type de bordereau';
COMMENT ON COLUMN JEFY_ADMIN.TYPE_BORDEREAU.TBO_SOUS_TYPE IS 'Sous-type (facture, scolaritÃ©, paye, etc.)';
COMMENT ON COLUMN JEFY_ADMIN.TYPE_BORDEREAU.TBO_TYPE IS 'Type (BTME,BTTE,etc.)';

ALTER TABLE JEFY_ADMIN.TYPE_BORDEREAU ADD PRIMARY KEY (TBO_ORDRE) USING INDEX  TABLESPACE GFC_INDX;

--------------------------------------------------------------------------------------
-- SEQUENCES
--------------------------------------------------------------------------------------
CREATE SEQUENCE JEFY_ADMIN.CODE_ANALYTIQUE_ORGAN_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
CREATE SEQUENCE JEFY_ADMIN.CODE_ANALYTIQUE_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
CREATE SEQUENCE JEFY_ADMIN.DEVISE_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
CREATE SEQUENCE JEFY_ADMIN.DOMAINE_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
CREATE SEQUENCE JEFY_ADMIN.EXERCICE_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
CREATE SEQUENCE JEFY_ADMIN.FONCTION_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
CREATE SEQUENCE JEFY_ADMIN.MODE_PAIEMENT_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
CREATE SEQUENCE JEFY_ADMIN.MODE_RECOUVREMENT_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
CREATE SEQUENCE JEFY_ADMIN.ORGAN_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
CREATE SEQUENCE JEFY_ADMIN.ORGAN_SIGNATAIRE_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
CREATE SEQUENCE JEFY_ADMIN.PREFERENCE_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
CREATE SEQUENCE JEFY_ADMIN.TAUX_PRORATA_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
CREATE SEQUENCE JEFY_ADMIN.TVA_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
--CREATE SEQUENCE JEFY_ADMIN.TYPE_APPLICATION_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
CREATE SEQUENCE JEFY_ADMIN.TYPE_CREDIT_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
--CREATE SEQUENCE JEFY_ADMIN.TYPE_ETAT_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
--CREATE SEQUENCE JEFY_ADMIN.TYPE_ORGAN_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
--CREATE SEQUENCE JEFY_ADMIN.TYPE_SIGNATURE_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
CREATE SEQUENCE JEFY_ADMIN.UTILISATEUR_FONCT_EXERCICE_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
CREATE SEQUENCE JEFY_ADMIN.UTILISATEUR_FONCT_GESTION_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
CREATE SEQUENCE JEFY_ADMIN.UTILISATEUR_FONCT_ORGAN_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
CREATE SEQUENCE JEFY_ADMIN.UTILISATEUR_FONCT_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
CREATE SEQUENCE JEFY_ADMIN.UTILISATEUR_PREFERENCE_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;
CREATE SEQUENCE JEFY_ADMIN.UTILISATEUR_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 0 NOCACHE NOCYCLE NOORDER;

--------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------
-- COMMENTAIRES
--------------------------------------------------------------------------------------
COMMENT ON TABLE JEFY_ADMIN.CODE_ANALYTIQUE IS '';
COMMENT ON TABLE JEFY_ADMIN.CODE_ANALYTIQUE_ORGAN IS '';
COMMENT ON TABLE JEFY_ADMIN.DEVISE IS 'Les devises utilisees';
COMMENT ON TABLE JEFY_ADMIN.DOMAINE IS 'Les domaines d''application';
COMMENT ON TABLE JEFY_ADMIN.EXERCICE IS 'Les exercices parametres';
COMMENT ON TABLE JEFY_ADMIN.FONCTION IS 'Les fonctions (actions utilisateurs) des differentes applications';
COMMENT ON TABLE JEFY_ADMIN.MODE_PAIEMENT IS 'Les modes de paiement possibles';
COMMENT ON TABLE JEFY_ADMIN.MODE_RECOUVREMENT IS 'Les modes de recouvrement possibles';
COMMENT ON TABLE JEFY_ADMIN.ORGAN IS 'Les lignes budgetaires';
COMMENT ON TABLE JEFY_ADMIN.ORGAN_SIGNATAIRE IS 'Les signataires possible par ligne budgetaire';
COMMENT ON TABLE JEFY_ADMIN.PREFERENCE IS 'Les valeurs par defaut des prefences utilisateurs possibles par application';
COMMENT ON TABLE JEFY_ADMIN.TAUX_PRORATA IS 'Les differents taux de prorata par defaut';
COMMENT ON TABLE JEFY_ADMIN.TVA IS 'Les differents codes de TVA utilisables';
COMMENT ON TABLE JEFY_ADMIN.TYPE_APPLICATION IS 'Les differentes applications utilisant les tables';
COMMENT ON TABLE JEFY_ADMIN.TYPE_CREDIT IS 'Les types de credit';
COMMENT ON TABLE JEFY_ADMIN.TYPE_ETAT IS 'Les differents etats (valide, annule, etc.)';
COMMENT ON TABLE JEFY_ADMIN.TYPE_ORGAN IS 'Les types de ligne budgetaires';
COMMENT ON TABLE JEFY_ADMIN.TYPE_SIGNATURE IS 'Les types de signature pour les lignes budgetaires';
COMMENT ON TABLE JEFY_ADMIN.UTILISATEUR IS 'Les utilisateurs';
COMMENT ON TABLE JEFY_ADMIN.UTILISATEUR_FONCT IS 'Les fonctions autorises par utilisateur';
COMMENT ON TABLE JEFY_ADMIN.UTILISATEUR_FONCT_EXERCICE IS ' Les exercices autorises pour les fonctions par utilisateur';
COMMENT ON TABLE JEFY_ADMIN.UTILISATEUR_FONCT_GESTION IS 'Les codes gestions autorises pour les fonctions par utilisateur';
COMMENT ON TABLE JEFY_ADMIN.UTILISATEUR_FONCT_ORGAN IS 'Les lignes budgetaires autorisees pour les fonctions par utilisateur';
COMMENT ON TABLE JEFY_ADMIN.UTILISATEUR_PREFERENCE IS 'Les preferences par utilisateur';



COMMENT ON COLUMN JEFY_ADMIN.CODE_ANALYTIQUE.CAN_CODE IS 'Code du code analytique';
COMMENT ON COLUMN JEFY_ADMIN.CODE_ANALYTIQUE.CAN_ID IS 'Identifiant';
COMMENT ON COLUMN JEFY_ADMIN.CODE_ANALYTIQUE.CAN_LIBELLE IS 'Libelle du code analytique';
COMMENT ON COLUMN JEFY_ADMIN.CODE_ANALYTIQUE.CAN_PUBLIC IS '';
COMMENT ON COLUMN JEFY_ADMIN.CODE_ANALYTIQUE.CAN_UTILISABLE IS '';
COMMENT ON COLUMN JEFY_ADMIN.CODE_ANALYTIQUE.TYET_ID IS 'Etat du code analytique';

COMMENT ON COLUMN JEFY_ADMIN.CODE_ANALYTIQUE_ORGAN.CAN_ID IS 'Reference un CODE_ANALYTIQUE';
COMMENT ON COLUMN JEFY_ADMIN.CODE_ANALYTIQUE_ORGAN.CAO_ID IS 'Identifiant';
COMMENT ON COLUMN JEFY_ADMIN.CODE_ANALYTIQUE_ORGAN.ORG_ID IS 'Reference un ORGAN';

COMMENT ON COLUMN JEFY_ADMIN.DEVISE.DEV_CODE IS 'Code ISO de la devise';
COMMENT ON COLUMN JEFY_ADMIN.DEVISE.DEV_ID IS 'Identifiant';
COMMENT ON COLUMN JEFY_ADMIN.DEVISE.DEV_LIBELLE IS 'Libelle de la devise';

COMMENT ON COLUMN JEFY_ADMIN.DOMAINE.DOM_ID IS 'Identifiant';
COMMENT ON COLUMN JEFY_ADMIN.DOMAINE.DOM_LIBELLE IS 'Libelle du domaine';

COMMENT ON COLUMN JEFY_ADMIN.EXERCICE.EXE_CLOTURE IS 'Date de cloture de l''exercice';
COMMENT ON COLUMN JEFY_ADMIN.EXERCICE.EXE_EXERCICE IS 'Exercice (visible)';
COMMENT ON COLUMN JEFY_ADMIN.EXERCICE.EXE_INVENTAIRE IS 'date limite de la periode d''inventaire ';
COMMENT ON COLUMN JEFY_ADMIN.EXERCICE.EXE_ORDRE IS 'Identifiant';
COMMENT ON COLUMN JEFY_ADMIN.EXERCICE.EXE_OUVERTURE IS 'Date d''ouverture de l''exercice';
COMMENT ON COLUMN JEFY_ADMIN.EXERCICE.EXE_STAT IS 'statut de l''exercice : ouvert (O) ouvert en acces restreint (R) clos (C) ';
COMMENT ON COLUMN JEFY_ADMIN.EXERCICE.EXE_TYPE IS 'exercice comptable (C) ou exercice de tresorerie (T) ';

COMMENT ON COLUMN JEFY_ADMIN.FONCTION.FON_CATEGORIE IS 'Categorie de la fonction (Logiquement menu dans l''application)';
COMMENT ON COLUMN JEFY_ADMIN.FONCTION.FON_DESCRIPTION IS 'Description de la fonction, peut etre affichee en tooltip dans l''application';
COMMENT ON COLUMN JEFY_ADMIN.FONCTION.FON_ID_INTERNE IS 'Identifiant unique et visible de la fonction utilisable pour mapper la fonction avec une action dans l''application';
COMMENT ON COLUMN JEFY_ADMIN.FONCTION.FON_LIBELLE IS 'Libelle de la fonction. Doit apparaitre comme libelle de l''action (menu ou bouton)';
COMMENT ON COLUMN JEFY_ADMIN.FONCTION.FON_ORDRE IS 'Identifiant';
COMMENT ON COLUMN JEFY_ADMIN.FONCTION.FON_SPEC_GESTION IS 'Indique si cette fonction peut etre restreinte ÃƒÂ  certain code gestions';
COMMENT ON COLUMN JEFY_ADMIN.FONCTION.FON_SPEC_ORGAN IS 'Indique si cette fonction peut etre restreinte a certain code gestions';
COMMENT ON COLUMN JEFY_ADMIN.FONCTION.FON_SPEC_EXERCICE IS 'Indique si cette fonction peut etre restreinte a certains exercices';
COMMENT ON COLUMN JEFY_ADMIN.FONCTION.TYAP_ID IS 'Reference a l''application dont depend cette fonction';

COMMENT ON COLUMN JEFY_ADMIN.MODE_PAIEMENT.EXE_ORDRE IS 'Exercice pour lequel est defini le mode de paiement';
COMMENT ON COLUMN JEFY_ADMIN.MODE_PAIEMENT.MOD_CODE IS 'Code visible du mode de paiement';
COMMENT ON COLUMN JEFY_ADMIN.MODE_PAIEMENT.MOD_DOM IS 'Domaine du mode de apiement (INTERNE, VIREMENT, CAISSE, CHEQUE)';
COMMENT ON COLUMN JEFY_ADMIN.MODE_PAIEMENT.MOD_EMA_AUTO IS 'Indique si des emargements ordonnateurs sont possibles pour les factures payees avec ce mode de paiement';
COMMENT ON COLUMN JEFY_ADMIN.MODE_PAIEMENT.MOD_LIBELLE IS 'Libelle du mode de paiement';
COMMENT ON COLUMN JEFY_ADMIN.MODE_PAIEMENT.MOD_ORDRE IS 'Identifiant';
COMMENT ON COLUMN JEFY_ADMIN.MODE_PAIEMENT.MOD_VALIDITE IS 'Indique si le mode de paiement est valide ou pas (VALIDE/ANNULE)';
COMMENT ON COLUMN JEFY_ADMIN.MODE_PAIEMENT.PCO_NUM_PAIEMENT IS 'Reference au compte utilise pour obtenir la contrepartie au paiement des mandats payes avec ce mode de paiement';
COMMENT ON COLUMN JEFY_ADMIN.MODE_PAIEMENT.PCO_NUM_VISA IS 'Reference au compte utilise pour obtenir la contrepartie au visa des mandats payes avec ce mode de paiement';

COMMENT ON COLUMN JEFY_ADMIN.MODE_RECOUVREMENT.EXE_ORDRE IS 'Exercice pour lequel est defini le mode de paiement';
COMMENT ON COLUMN JEFY_ADMIN.MODE_RECOUVREMENT.MOD_CODE IS 'Code visible du mode de recouvrement';
COMMENT ON COLUMN JEFY_ADMIN.MODE_RECOUVREMENT.MOD_LIBELLE IS 'Libelle du mode de recouvrement';
COMMENT ON COLUMN JEFY_ADMIN.MODE_RECOUVREMENT.MOD_ORDRE IS 'Identifiant';
COMMENT ON COLUMN JEFY_ADMIN.MODE_RECOUVREMENT.MOD_VALIDITE IS 'Indique si le mode de recouvrement est valide ou pas (VALIDE/ANNULE)';
COMMENT ON COLUMN JEFY_ADMIN.MODE_RECOUVREMENT.PCO_NUM_PAIEMENT IS '';
COMMENT ON COLUMN JEFY_ADMIN.MODE_RECOUVREMENT.PCO_NUM_VISA IS '';

COMMENT ON COLUMN JEFY_ADMIN.ORGAN.C_STRUCTURE IS 'Reference a la structure (de l''annuaire) dont depend cette ligne budgetaire';
COMMENT ON COLUMN JEFY_ADMIN.ORGAN.LOG_ORDRE IS 'Reference au logo de la ligne budgetaire';
COMMENT ON COLUMN JEFY_ADMIN.ORGAN.ORG_CR IS 'Le Centre de responsabilite';
COMMENT ON COLUMN JEFY_ADMIN.ORGAN.ORG_DATE_CLOTURE IS 'Date de cloture de la ligne budgetaire';
COMMENT ON COLUMN JEFY_ADMIN.ORGAN.ORG_DATE_OUVERTURE IS 'Date d''ouverture de la ligne budgetaire';
COMMENT ON COLUMN JEFY_ADMIN.ORGAN.ORG_ETAB IS 'Etablissement';
COMMENT ON COLUMN JEFY_ADMIN.ORGAN.ORG_ID IS 'Identifiant';
COMMENT ON COLUMN JEFY_ADMIN.ORGAN.ORG_LIB IS 'Libelle de la ligne budgetaire';
COMMENT ON COLUMN JEFY_ADMIN.ORGAN.ORG_LUCRATIVITE IS 'Indique si la ligne budgetairte est lucrative 0/1';
COMMENT ON COLUMN JEFY_ADMIN.ORGAN.ORG_NIV IS 'Niveau de la ligne budgetaire';
COMMENT ON COLUMN JEFY_ADMIN.ORGAN.ORG_PERE IS 'Reference a la ligne parent';
COMMENT ON COLUMN JEFY_ADMIN.ORGAN.ORG_UB IS 'Unite budgetaire (composante)';
COMMENT ON COLUMN JEFY_ADMIN.ORGAN.ORG_UNIV IS 'Universite';
COMMENT ON COLUMN JEFY_ADMIN.ORGAN.TAP_ID IS 'Reference un TAUX_PRORATA par defaut';
COMMENT ON COLUMN JEFY_ADMIN.ORGAN.TYOR_ID IS 'reference TYPE_ORGAN';

COMMENT ON COLUMN JEFY_ADMIN.ORGAN_SIGNATAIRE.NO_INDIVIDU IS 'Reference un INDIVIDU_ULR';
COMMENT ON COLUMN JEFY_ADMIN.ORGAN_SIGNATAIRE.ORG_ID IS 'Reference un ORGAN';
COMMENT ON COLUMN JEFY_ADMIN.ORGAN_SIGNATAIRE.ORSI_DATE_CLOTURE IS 'Date fin de validite de cette signature pour cette ligne budgetaire';
COMMENT ON COLUMN JEFY_ADMIN.ORGAN_SIGNATAIRE.ORSI_DATE_OUVERTURE IS 'Date debut de validite de cette signature pour cette ligne budgetaire';
COMMENT ON COLUMN JEFY_ADMIN.ORGAN_SIGNATAIRE.ORSI_ID IS 'Identifiant';
COMMENT ON COLUMN JEFY_ADMIN.ORGAN_SIGNATAIRE.ORSI_LIBELLE_SIGNATAIRE IS 'Libelle du signataire pour cette ligne budgetaire';
COMMENT ON COLUMN JEFY_ADMIN.ORGAN_SIGNATAIRE.TYSI_ID IS 'Reference TYPE_SIGNATAIRE';

COMMENT ON COLUMN JEFY_ADMIN.PREFERENCE.PREF_DEFAULT_VALUE IS 'Valeur par defaut de la preference utilisateur';
COMMENT ON COLUMN JEFY_ADMIN.PREFERENCE.PREF_DESCRIPTION IS 'Description de la preference';
COMMENT ON COLUMN JEFY_ADMIN.PREFERENCE.PREF_ID IS 'Identifiant';
COMMENT ON COLUMN JEFY_ADMIN.PREFERENCE.PREF_PERSONNALISABLE IS 'Indique si cette p^rÃ©fÃ©rence est personnalisable par l''utilisateur. Reference TYPE_ETAT.';
COMMENT ON COLUMN JEFY_ADMIN.PREFERENCE.PREF_KEY IS 'Nom de la cle visible, unique par application, identifiant la preference ';
COMMENT ON COLUMN JEFY_ADMIN.PREFERENCE.TYAP_ID IS 'Reference TYPE_APPLICATION';

COMMENT ON COLUMN JEFY_ADMIN.TAUX_PRORATA.TAP_ID IS 'Identifiant';
COMMENT ON COLUMN JEFY_ADMIN.TAUX_PRORATA.TAP_TAUX IS 'Taux de prorata';
COMMENT ON COLUMN JEFY_ADMIN.TAUX_PRORATA.TYET_ID IS 'Validite du taux de prorata';

COMMENT ON COLUMN JEFY_ADMIN.TVA.TVA_ID IS 'Identfiant';
COMMENT ON COLUMN JEFY_ADMIN.TVA.TVA_TAUX IS 'Taux de TVA';
COMMENT ON COLUMN JEFY_ADMIN.TVA.TYET_ID IS 'Validite du taux de TVA';

COMMENT ON COLUMN JEFY_ADMIN.TYPE_APPLICATION.DOM_ID IS 'Domaine du type d''application';
COMMENT ON COLUMN JEFY_ADMIN.TYPE_APPLICATION.TYAP_ID IS 'Identifiant';
COMMENT ON COLUMN JEFY_ADMIN.TYPE_APPLICATION.TYAP_LIBELLE IS 'Libelle du type d''application';

COMMENT ON COLUMN JEFY_ADMIN.TYPE_CREDIT.EXE_ORDRE IS 'Exercice';
COMMENT ON COLUMN JEFY_ADMIN.TYPE_CREDIT.TCD_ABREGE IS 'Libelle court';
COMMENT ON COLUMN JEFY_ADMIN.TYPE_CREDIT.TCD_CODE IS 'Code du type de credit (unique pour un exercice)';
COMMENT ON COLUMN JEFY_ADMIN.TYPE_CREDIT.TCD_LIBELLE IS 'Libelle du type de credit';
COMMENT ON COLUMN JEFY_ADMIN.TYPE_CREDIT.TCD_ORDRE IS 'Identifiant du type de credit';
COMMENT ON COLUMN JEFY_ADMIN.TYPE_CREDIT.TCD_PRESIDENT IS 'A partir de ce montant les engagments seront signes par le president,directeur IUT ...';
COMMENT ON COLUMN JEFY_ADMIN.TYPE_CREDIT.TCD_SECT IS 'Section du type de credit 1er ou section 2em section';

COMMENT ON COLUMN JEFY_ADMIN.TYPE_ETAT.TYET_ID IS 'Identifiant';
COMMENT ON COLUMN JEFY_ADMIN.TYPE_ETAT.TYET_LIBELLE IS 'Libelle de l''etat (VALIDE,ANNULE,OUI,NON, etc.)';

COMMENT ON COLUMN JEFY_ADMIN.TYPE_ORGAN.TYOR_ID IS 'Identifiant';
COMMENT ON COLUMN JEFY_ADMIN.TYPE_ORGAN.TYOR_LIBELLE IS 'Libelle du type de ligne budgetaire';

COMMENT ON COLUMN JEFY_ADMIN.TYPE_SIGNATURE.TYSI_ID IS 'Identifiant';
COMMENT ON COLUMN JEFY_ADMIN.TYPE_SIGNATURE.TYSI_LIBELLE IS 'Libelle du type de signature';

COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR.NO_INDIVIDU IS 'Reference un INDIVIDU_ULR';
COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR.PERS_ID IS 'Reference un PERSONNE';
COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR.TYET_ID IS 'Etat de l''utilisateur';
COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR.UTL_FERMETURE IS 'Fin de validite de l''utilisateur';
COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR.UTL_ORDRE IS 'Identifiant';
COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR.UTL_OUVERTURE IS 'Debut de validite de l''utilisateur';

COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR_FONCT.FON_ORDRE IS 'Reference une FONCTION';
COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR_FONCT.UF_ORDRE IS 'Identfiant';
COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR_FONCT.UTL_ORDRE IS 'Reference un UTILISATEUR';

COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR_FONCT_EXERCICE.EXE_ORDRE IS 'Reference un EXERCICE';
COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR_FONCT_EXERCICE.UFE_ID IS 'Identifiant';
COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR_FONCT_EXERCICE.UF_ORDRE IS 'Reference un UTILISATEUR_FONCT';

COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR_FONCT_GESTION.GES_CODE IS 'Reference un GESTION';
COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR_FONCT_GESTION.UFG_ID IS 'Identifiant';
COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR_FONCT_GESTION.UF_ORDRE IS 'Reference un UTILISATEUR_FONCT';

COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR_FONCT_ORGAN.ORG_ID IS 'Reference un ORGAN';
COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR_FONCT_ORGAN.UFO_ID IS 'Identifiant';
COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR_FONCT_ORGAN.UF_ORDRE IS 'Reference un UTILISATEUR_FONCT';

COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR_PREFERENCE.PREF_ID IS 'Reference un PREFERENCE';
COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR_PREFERENCE.UP_ID IS 'Identifiant';
COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR_PREFERENCE.UP_VALUE IS 'Valeur affectee a la preference pour l''utilisateur';
COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR_PREFERENCE.UTL_ORDRE IS 'Reference un UTILISATEUR';

--------------------------------------------------------------------------------------





CREATE OR REPLACE TRIGGER JEFY_ADMIN.ON_TYPE_ETAT_DEL_UPD
 BEFORE DELETE OR UPDATE ON JEFY_ADMIN.TYPE_ETAT
FOR EACH ROW
BEGIN
RAISE_APPLICATION_ERROR ( -20015,'Il est interdit de modifier/supprimer un type_etat');

END;